package com.mycompany.springdemo.dao;

import com.mycompany.springdemo.entities.PizzaOrder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

/**
 * @author adamekp
 */
@Component
public class PizzaOrderDAOJdbc implements PizzaOrderDAO {

	private JdbcTemplate jdbcTemplate;

	@Autowired
	public void setJdbcTemplate(JdbcTemplate jdbcTemplate) {
		this.jdbcTemplate = jdbcTemplate;
	}

	public void create(PizzaOrder pizzaOrder) {
		jdbcTemplate.update("INSERT INTO PizzaOrder (id, description) VALUES "
				+ "(?,?)", pizzaOrder.getId(), pizzaOrder.getDescription());
	}

}
