package com.mycompany.springdemo.entities;

import java.util.ArrayList;
import java.util.List;

/**
 * @author adamekp
 */
public class PizzaOrder {

	private Long id;
	private String description;
	private List<PizzaOrderItem> items = new ArrayList<PizzaOrderItem>();

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public List<PizzaOrderItem> getItems() {
		return items;
	}

	public void setItems(List<PizzaOrderItem> items) {
		this.items = items;
	}

	@Override
	public int hashCode() {
		int hash = 3;
		hash = 71 * hash + (this.id != null ? this.id.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		final PizzaOrder other = (PizzaOrder) obj;
		return !(this.id == null || !this.id.equals(other.id));
	}
}
