package com.mycompany.springdemo.dao;

import com.mycompany.springdemo.entities.PizzaOrderItem;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

/**
 * @author adamekp
 */
@Component
public class PizzaOrderItemDAOJdbc implements PizzaOrderItemDAO {

	@Autowired
	JdbcTemplate jdbcTemplate;

	public void setJdbcTemplate(JdbcTemplate jdbcTemplate) {
		this.jdbcTemplate = jdbcTemplate;
	}

	public void create(PizzaOrderItem pizzaOrderItem) {
		jdbcTemplate.update("INSERT INTO PizzaOrderItem "
				+ "(id, count, description, PizzaOrder_id) VALUES"
				+ "(?,?,?,?)",
				pizzaOrderItem.getId(),
				pizzaOrderItem.getCount(),
				pizzaOrderItem.getDescription(),
				pizzaOrderItem.getPizzaOrder().getId());
	}

}
