package com.mycompany.springdemo.entities;

import javax.persistence.Entity;
import javax.persistence.Id;

/**
 * @author adamekp
 */
@Entity
public class Customer {

	@Id
	private Long id;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Override
	public int hashCode() {
		int hash = 3;
		hash = 71 * hash + (this.id != null ? this.id.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		final Customer other = (Customer) obj;
		return !(this.id == null || !this.id.equals(other.id));
	}
}
